import { defineCustomElement } from '../chunks/vidstack-C1PwJD_4.js';
import { MediaPlayButtonElement, MediaMuteButtonElement, MediaCaptionButtonElement, MediaPIPButtonElement, MediaFullscreenButtonElement, MediaSeekButtonElement, MediaAirPlayButtonElement, MediaLiveButtonElement, MediaVolumeSliderElement, MediaTimeSliderElement, MediaSliderPreviewElement, MediaSliderThumbnailElement, MediaSliderValueElement, MediaMenuElement, MediaMenuButtonElement, MediaMenuItemsElement, MediaMenuItemElement, MediaAudioRadioGroupElement, MediaCaptionsRadioGroupElement, MediaSpeedRadioGroupElement, MediaQualityRadioGroupElement, MediaRadioElement, MediaTimeElement, MediaThumbnailElement } from '../chunks/vidstack-DS7nRfge.js';
import { MediaPlyrLayoutElement } from './templates/plyr-layout.js';
import { MediaPosterElement } from '../chunks/vidstack-DV4g4XvL.js';
import '../chunks/vidstack-DLXCqdYV.js';
import '../chunks/vidstack-BjxlZzGu.js';
import '../chunks/vidstack-C0SWkbs7.js';
import '@floating-ui/dom';
import '../chunks/vidstack-C3N4zIuV.js';
import '../chunks/vidstack-DdTXMZro.js';
import '../chunks/vidstack-BnBLcaA5.js';
import '../chunks/vidstack-CcQdBWil.js';
import '../chunks/vidstack-Bur7I7Vy.js';
import '../chunks/vidstack-Dihypf8P.js';
import '../chunks/vidstack-DbBJlz7I.js';
import '../chunks/vidstack-BTM4ERc7.js';
import 'lit-html';
import '../chunks/vidstack-DXzRuMtJ.js';
import '../chunks/vidstack-0Of4tJ8D.js';
import 'lit-html/directives/if-defined.js';
import 'lit-html/directives/unsafe-svg.js';
import 'lit-html/async-directive.js';
import '../chunks/vidstack-CwTj4H1w.js';
import 'lit-html/directives/unsafe-html.js';
import '../chunks/vidstack-CzCQJ29U.js';

defineCustomElement(MediaPlyrLayoutElement);
defineCustomElement(MediaPosterElement);
defineCustomElement(MediaPlayButtonElement);
defineCustomElement(MediaMuteButtonElement);
defineCustomElement(MediaCaptionButtonElement);
defineCustomElement(MediaPIPButtonElement);
defineCustomElement(MediaFullscreenButtonElement);
defineCustomElement(MediaSeekButtonElement);
defineCustomElement(MediaAirPlayButtonElement);
defineCustomElement(MediaLiveButtonElement);
defineCustomElement(MediaVolumeSliderElement);
defineCustomElement(MediaTimeSliderElement);
defineCustomElement(MediaSliderPreviewElement);
defineCustomElement(MediaSliderThumbnailElement);
defineCustomElement(MediaSliderValueElement);
defineCustomElement(MediaMenuElement);
defineCustomElement(MediaMenuButtonElement);
defineCustomElement(MediaMenuItemsElement);
defineCustomElement(MediaMenuItemElement);
defineCustomElement(MediaAudioRadioGroupElement);
defineCustomElement(MediaCaptionsRadioGroupElement);
defineCustomElement(MediaSpeedRadioGroupElement);
defineCustomElement(MediaQualityRadioGroupElement);
defineCustomElement(MediaRadioElement);
defineCustomElement(MediaTimeElement);
defineCustomElement(MediaThumbnailElement);
